<?php
require_once("../../functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__)))
    exit;
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false);

//Comprobar is está sistema de incidencias activo
//Comprobar si es admin
if (!isset($_SESSION['tipo_usuario']) || $_SESSION['tipo_usuario'] != 'admin') {
    crear_notificacion("error", "No tienes acceso a esta página");
    exit;
}
/*******************************************************************************
 *                               [Parámetros]                                  *
 *******************************************************************************/

if (isset($_POST["id"])) {
    $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
    if (!consulta("DELETE FROM motivos WHERE id=?;", [$id], false)) {
        crear_log(
            "error",
            "Error al eliminar motivo",
            $pag,
            "Se ha intentado eliminar el motivo, pero ha ocurrido un error en la consulta."
        );
        crear_notificacion('error', 'No se ha podido eliminar el motivo');
    } else {
        crear_log(
            "info",
            "motivo eliminado",
            $pag,
            "Se ha eliminado el motivo con id <b>[$id]</b> correctamente."
        );
        crear_notificacion('correcto', 'Motivo eliminado correctamente');
    }
} else {
    crear_log(
        "error",
        "Sin parámetros",
        $pag,
        "No se ha podido eliminar el motivo, porque no hay parámetros para procesarlo."
    );
    crear_notificacion('error', 'No se ha podido eliminar el motivo');
}
